package com.engine.common.util;

import com.engine.attendance.attendanceanalysis.cmd.getclockInpoint.AdjustClockPointAction;

import java.util.List;

/**
 * 扩展类
 */
public class ExtensionClassHolder {
    /**
     * 打卡卡点扩展类
     */
    private static ThreadLocal<List<AdjustClockPointAction>> adjustClockPointActionThreadLocal = new ThreadLocal<>();

    public static void setAdjustClockPointAction(List<AdjustClockPointAction> adjustClockPointActionList) {
        adjustClockPointActionThreadLocal.set(adjustClockPointActionList);
    }

    public static List<AdjustClockPointAction> getAdjustClockPointAction() {
        return adjustClockPointActionThreadLocal.get();
    }
}
